Zum Inhalt springen

/etc/bash.bashrc: Unterschied zwischen den Versionen

Aus Foxwiki
Die Seite wurde neu angelegt: „<syntaxhighlight lang="bash" line> # System-wide .bashrc file for interactive bash(1) shells. # To enable the settings / commands in this file for login shells as well, # this file has to be sourced in /etc/profile. # If not running interactively, don't do anything [ -z "${PS1-}" ] && return # check the window size after each command and, if necessary, # update the values of LINES and COLUMNS. shopt -s checkwinsize # set variable identifying the chroo…“
 
K Textersetzung - „ “ durch „ “
 
(4 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 1: Zeile 1:
<syntaxhighlight lang="bash" line>
<syntaxhighlight lang="bash" line copy>
# System-wide .bashrc file for interactive bash(1) shells.
# System-wide .bashrc file for interactive bash(1) shells.


Zeile 14: Zeile 14:
# set variable identifying the chroot you work in (used in the prompt below)
# set variable identifying the chroot you work in (used in the prompt below)
if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
    debian_chroot=$(< /etc/debian_chroot)
  debian_chroot=$(< /etc/debian_chroot)
fi
fi


Zeile 20: Zeile 20:
# but only if not SUDOing and have SUDO_PS1 set; then assume smart user.
# but only if not SUDOing and have SUDO_PS1 set; then assume smart user.
if ! [ -n "${SUDO_USER-}" -a -n "${SUDO_PS1-}" ]; then
if ! [ -n "${SUDO_USER-}" -a -n "${SUDO_PS1-}" ]; then
  PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
fi
fi


Zeile 27: Zeile 27:
#case "$TERM" in
#case "$TERM" in
#xterm*|rxvt*)
#xterm*|rxvt*)
#   PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
# PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
#   ;;
# ;;
#*)
#*)
#   ;;
# ;;
#esac
#esac


# enable bash completion in interactive shells
# enable bash completion in interactive shells
#if ! shopt -oq posix; then
#if ! shopt -oq posix; then
# if [ -f /usr/share/bash-completion/bash_completion ]; then
# if [ -f /usr/share/bash-completion/bash_completion ]; then
#   . /usr/share/bash-completion/bash_completion
# . /usr/share/bash-completion/bash_completion
# elif [ -f /etc/bash_completion ]; then
# elif [ -f /etc/bash_completion ]; then
#   . /etc/bash_completion
# . /etc/bash_completion
# fi
# fi
#fi
#fi


# if the command-not-found package is installed, use it
# if the command-not-found package is installed, use it
if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
        function command_not_found_handle {
    function command_not_found_handle {
                # check because c-n-f could've been removed in the meantime
        # check because c-n-f could've been removed in the meantime
                if [ -x /usr/lib/command-not-found ]; then
        if [ -x /usr/lib/command-not-found ]; then
                  /usr/lib/command-not-found -- "$1"
          /usr/lib/command-not-found -- "$1"
                  return $?
          return $?
                elif [ -x /usr/share/command-not-found/command-not-found ]; then
        elif [ -x /usr/share/command-not-found/command-not-found ]; then
                  /usr/share/command-not-found/command-not-found -- "$1"
          /usr/share/command-not-found/command-not-found -- "$1"
                  return $?
          return $?
                else
        else
                  printf "%s: command not found\n" "$1" >&2
          printf "%s: command not found\n" "$1" >&2
                  return 127
          return 127
                fi
        fi
        }
    }
fi
fi
</syntaxhighlight>
</syntaxhighlight>
[[Kategorie:/etc]]
[[Kategorie:Linux/Konfiguration/Datei]]
[[Kategorie:Bash/Konfiguration]]

Aktuelle Version vom 14. Juni 2026, 00:49 Uhr

# System-wide .bashrc file for interactive bash(1) shells.

# To enable the settings / commands in this file for login shells as well,
# this file has to be sourced in /etc/profile.

# If not running interactively, don't do anything
[ -z "${PS1-}" ] && return

# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize

# set variable identifying the chroot you work in (used in the prompt below)
if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
  debian_chroot=$(< /etc/debian_chroot)
fi

# set a fancy prompt (non-color, overwrite the one in /etc/profile)
# but only if not SUDOing and have SUDO_PS1 set; then assume smart user.
if ! [ -n "${SUDO_USER-}" -a -n "${SUDO_PS1-}" ]; then
 PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
fi

# Commented out, don't overwrite xterm -T "title" -n "icontitle" by default.
# If this is an xterm set the title to user@host:dir
#case "$TERM" in
#xterm*|rxvt*)
#  PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD}\007"'
#  ;;
#*)
#  ;;
#esac

# enable bash completion in interactive shells
#if ! shopt -oq posix; then
# if [ -f /usr/share/bash-completion/bash_completion ]; then
#  . /usr/share/bash-completion/bash_completion
# elif [ -f /etc/bash_completion ]; then
#  . /etc/bash_completion
# fi
#fi

# if the command-not-found package is installed, use it
if [ -x /usr/lib/command-not-found -o -x /usr/share/command-not-found/command-not-found ]; then
    function command_not_found_handle {
        # check because c-n-f could've been removed in the meantime
        if [ -x /usr/lib/command-not-found ]; then
          /usr/lib/command-not-found -- "$1"
          return $?
        elif [ -x /usr/share/command-not-found/command-not-found ]; then
          /usr/share/command-not-found/command-not-found -- "$1"
          return $?
        else
          printf "%s: command not found\n" "$1" >&2
          return 127
        fi
    }
fi